<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib tagdir="/WEB-INF/tags/uploadform" prefix="uploadform" %>

<jsp:useBean id="form" type="com.jscape.inet.mft.subsystems.transport.http.uploadforms.Form" scope="request"/>
<c:set var="formRequiredInputNames">
    [<c:forEach var="formInput" varStatus="status" items="${form.elements}">
        <c:if test="${formInput.required}">'${formInput.name}'<c:if test="${not status.last}">,</c:if></c:if>
    </c:forEach>]
</c:set>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <tags:style url="/css/base.css"/>
    <style type="text/css" media="all">@import "<c:url value="/css/content.css" />";</style>
    <style type="text/css">
        body { margin-left: 3em;}
    </style>
    <%@ include file="/WEB-INF/jspf/js/utils.jspf" %>
    <script type="text/javascript" language="JavaScript">
        if (top == self) { top.location.href = '<c:url value="/" />'; }
        else { Event.observe(document, 'dataavailable', function() { top.onUploadFormLoaded('${form.name}', ${formRequiredInputNames}); }); }
    </script>
</head>
<body>

<c:url var="actionUrl" value="/action/FormData"/>

<form action="${actionUrl}" name="${form.name}" method="post">
    <input type="hidden" name="form" value="${form.name}"/>
    <c:if test="${not form.batch and not empty requestScope.filename}">
        <c:set var="currentFile" value="${fn:escapeXml(requestScope.filename)}" />
        <input type="hidden" name="filename" value="${currentFile}"/>
        <p><b>${currentFile}</b></p>
    </c:if>

    <table cellspacing="5">
        <c:forEach var="element" items="${form.elements}">
            <c:set var="elementType" value="${fn:substringBefore(element.class.simpleName, 'Element')}"/>
            <c:choose>
                <c:when test="${elementType eq 'Text'}">
                    <uploadform:text element="${element}"/>
                </c:when>
                <c:when test="${elementType eq 'Dropdown'}">
                    <uploadform:dropdown element="${element}"/>
                </c:when>
                <c:when test="${elementType eq 'Multiselect'}">
                    <uploadform:multiselect element="${element}"/>
                </c:when>
                <c:when test="${elementType eq 'Radio'}">
                    <uploadform:radio element="${element}"/>
                </c:when>
                <c:when test="${elementType eq 'Memo'}">
                    <uploadform:memo element="${element}"/>
                </c:when>
            </c:choose>
        </c:forEach>
    </table>
</form>

</body>
</html>